<?php
if(!function_exists('render_lng_picker')){
    function render_lng_picker() {
        $html = '<div class="lng-picker">';

        foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $id => $title ) {
            $html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
        }

        $html .= '</div>';

        return $html;
    }
}
?>

<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

<fieldset class="fleft" style="width: 410px; height: 170px">
	<legend><?= __('pv2_section_sexual_orientation') ?> <span class="tip" title="<?= __('pv2_tip_sexual_orientation') ?>"></span></legend>
	<div class="body">
		<dl class="options-vertical">
			<? foreach ( array(1 => __('heterosexual'), 2 => __('bisexual'), 3 => __('homosexual')) as $id => $opt ): ?>
			<dt><label for="orientation-<?= $id ?>"><input id="orientation-<?= $id ?>" type="radio" name="sex_orientation" value="<?= $id ?>"<?= $this->data['sex_orientation'] == $id ? ' checked="checked"' : '' ?> /> <span><?= $opt ?></span></label></dt>
			<? endforeach ?>
		</dl>
	</div>
</fieldset>

<fieldset class="fleft" style="margin-left: 20px; width: 410px; height: 170px">
	<legend><?= __('pv2_section_services_offered_for') ?></legend>
	<div class="body">

		<div class="inner">
			<div name="services_offered_for_error"></div>
			<div class="error old-err">*</div>
		</div>
		<div class="clear"></div>

		<dl class="options-vertical">
			<? foreach ( $this->defines['sex_availability_options'] as $id => $opt ): ?>
			<dt><label for="service-for-<?= $id ?>"><input id="service-for-<?= $id ?>" type="checkbox" name="sex_availability[]" value="<?= $id ?>"<?= in_array($id, explode(',', $this->data['sex_availability'])) ? ' checked="checked"' : '' ?> /> <span><?= $opt ?></span></label></dt>
			<? endforeach ?>
		</dl>
	</div>
</fieldset>

<div class="clear"></div>

<? function ___does_provide_service($svcs, $svc_id) {
	foreach ( $svcs as $svc ) {
		if ( $svc['service_id'] == $svc_id ) return true;
	}

	return false;
}
function ___get_service_price($svcs, $svc_id) {
	foreach ( $svcs as $svc ) {
		if ( $svc['service_id'] == $svc_id ) return $svc['price'];
	}

	return '';
}
function ___get_service_currency($svcs, $svc_id) {
	foreach ( $svcs as $svc ) {
		if ( $svc['service_id'] == $svc_id ) {
			if (intval($svc['currency_id'])) {
				return intval($svc['currency_id']);
			}
		}
	}

	return Cubix_Application::getById()->currency_id;
}?>

<? $config = Zend_Registry::get('escorts_config'); ?>
<? if ($config['profile']['services']): ?>
<fieldset class="vindent">
	<legend><?= __('pv2_section_provided_services') ?></legend>
	<div class="body">
		<table class="services">
			<tr>
				<th colspan="2"><?= __('pv2_title_most_common_services') ?></th>
				<th class="surcharge">(<?= __('pv2_label_surcharge') ?>)</th>
			</tr>
			<tbody>
			<? foreach ( $this->defines['services']['common'] as $id => $svc ): ?>
			<tr>
				<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
				<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
				<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
			</tr>
			<? endforeach ?>
			</tbody>
		</table>

		<table class="services services-extra">
			<tr>
				<th colspan="2"><?= __('pv2_title_extra_services') ?></th>
				<th class="surcharge">(<?= __('pv2_label_surcharge') ?>)</th>
			</tr>
			<tbody>
			<? foreach ( $this->defines['services']['extra'] as $id => $svc ): ?>
			<tr>
				<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
				<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
				<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
			</tr>
			<? endforeach ?>
			</tbody>
		</table>

		<table class="services services-fetish">
			<tr>
				<th colspan="2"><?= __('pv2_title_fetish_bizzare_services') ?></th>
				<th class="surcharge">(<?= __('pv2_label_surcharge') ?>)</th>
			</tr>
			<tbody>
			<? foreach ( $this->defines['services']['fetish'] as $id => $svc ): ?>
			<tr>
				<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
				<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
				<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
			</tr>
			<? endforeach ?>
			</tbody>
		</table>

		<div class="clear"></div>

		<div class="inner">
			<?= render_lng_picker() ?>
			<div class="clear"></div>
		</div>

		<div class="inner">
		<? foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $lng => $title ): ?>
			<textarea class="additional-service-field" id="additional-service-<?= $lng ?>" name="additional_service_<?= $lng ?>" cols="80" rows="10" style="display: none"><?= $this->data['additional_service_' . $lng] ?></textarea>
		<? endforeach ?>
		</div>
	</div>
</fieldset>

<script type="text/javascript">
	var lngPicker = new Controls.LngPicker($$('.lng-picker')[0], {
		onChange: function (el) {
			var lng = el.get('cx:lng');
			$$('.additional-service-field').setStyle('display', 'none');
			$('additional-service-' + lng).setStyle('display', 'block');
		}
	});

</script>

<script type="text/javascript">
	var currencies = <?= json_encode(Model_Currencies::getAllAssoc()); ?>, c = [];
	for ( var i in currencies ) {
		c.include({ value: i, label: currencies[i] });
	}

	$$('.services input[type=text]').each(function (el) {
		var _el = el.getNext(), data = _el.get('text').split(':'), id = data[0].toInt(), cid = data[1].toInt();
		var select = new Controls.SelectBox({
			values: c,
			name: 'service_currencies[' + id + ']',
			disabled: el.get('disabled'),
			selected: cid
		});
		el.getParent('tr').select = select;
		select.getElement().replaces(_el, 'after')
	});

	$$('.services input[type=checkbox]').addEvent('change', function () {
		this.blur();
		var chk = this.getParent('tr').getElement('input.txt');
		//console.log(this.getParent('tr').select);
		if ( this.get('checked') ) {
			chk.set('disabled', '').focus();
			this.getParent('tr').select.enable();
		}
		else {
			chk.set('disabled', 'disabled');
			this.getParent('tr').select.disable();
		}
	}).fireEvent('change');

	$$('.services input.txt').each(function (input) { input.blur(); });
</script>
<? endif; ?>